{
	"name": "space-stream",
	"private": true,
	"version": "0.0.1",
	"type": "module",
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "bun run build && wrangler dev",
		"prepare": "svelte-kit sync || echo ''",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"spacetime:generate": "spacetime generate --lang typescript --out-dir src/lib/st-bindings --module-path spacetimedb",
		"spacetime:publish:local": "spacetime publish --module-path spacetimedb --server local",
		"spacetime:publish": "spacetime publish --module-path spacetimedb --server maincloud",
		"lint": "prettier --check .",
		"format": "prettier --write .",
		"deploy": "bun run build && wrangler deploy",
		"cf-typegen": "wrangler types ./src/worker-configuration.d.ts"
	},
	"devDependencies": {
		"@sveltejs/adapter-auto": "^7.0.0",
		"@sveltejs/adapter-cloudflare": "^7.2.8",
		"@sveltejs/kit": "^2.50.2",
		"@sveltejs/vite-plugin-svelte": "^6.2.4",
		"@tailwindcss/vite": "^4.1.18",
		"@types/node": "^25.6.0",
		"prettier": "^3.8.1",
		"prettier-plugin-svelte": "^3.4.1",
		"prettier-plugin-tailwindcss": "^0.7.2",
		"spacetimedb": "^2.1.0",
		"svelte": "^5.51.0",
		"svelte-check": "^4.4.2",
		"tailwindcss": "^4.1.18",
		"typescript": "^5.9.3",
		"vite": "^7.3.1",
		"vite-plugin-devtools-json": "^1.0.0",
		"wrangler": "^4.81.1"
	},
	"dependencies": {
		"jassub": "^2.4.2"
	}
}
